" Vim syntax file for KAZIMIR's configuration file
"
" Author: Ph. Deniel
" Date: 4/01/2008
" Version: 0.1
"
" Put this file in ~/.vim/syntax
"

"Comments
syn match comment /#.*/
hi link comment Comment

"Tags
syn match tags "Kazimir:"
syn match tags "Journal:"
syn match tags "Log:"
syn match tags "Motif:"
syn match tags "Pattern:"
syn match tags "Action:"
syn match tags "Event:"
syn match tags "Ordre:"
syn match tags "Order:"
syn match tags "Variable:"
syn match tags "Trigger:"
syn match tags "Repetition:"
syn match tags "Include:"
hi link tags  Type 

"Items
syn keyword item EventDir
syn keyword item OutputDir
syn keyword item LockFile
syn keyword item LogFile
syn keyword item EventUpdateInt
syn keyword item IdleTime
syn keyword item SelectTime
syn keyword item PrologueCmd
syn keyword item EpilogueCmd
syn keyword item Nom
syn keyword item Name
syn keyword item Type
syn keyword item Path
syn keyword item TimeFormat
syn keyword item UpdateInt
syn keyword item RegExp
syn keyword item Journal
syn keyword item Let
syn keyword item Default
syn keyword item Number
syn keyword item Window
syn keyword item Fenetre
syn match item "Event[^DU:]"
syn match item "Action[^:]"
syn match item "Log[^F:]"
hi link item  Constant

"Event Definition
syn keyword eventdef Begin End
hi link eventdef PreProc
